Subject: Re: [PATCH] gitk: fix selection color not persistent

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Apr 2021 19:13:05 -0700

"gh acct via GitGitGadget" <[email-masked]> writes:

> From: ghacct <[email-masked]>
>
> Dear git community,
> Is it possible please for the gitk selection color setting to be persistent?  Since 2015 this has been working for me.
> Thank you for considering!
>
> Signed-off-by: tgomez <[email-masked]>
> Signed-off-by: ghacct <[email-masked]>

cf. Documentation/SubmittingPatches
[[describe-changes]]
[[summary-section]]
[[meaningful-message]]
[[imperative-mood]]
[[sign-off]]
[[real-name]]

Also 'gitk' patches should be based on Paul's tree, not mine.
cf.  "Subsystems with dedicated maintainers" section in
Documentation/SubmittingPatches

So the diff should look more like 

	diff --git a/gitk b/gitk
	index ...
	--- a/gitk
	+++ b/gitk
	@@ ...

As to the contents of the patch itself, I am not the best person to
comment on.  I no longer use gitk myself unless I am testing gitk,
and I no longer speak Tcl/Tk.

Having said that, I see no existing instance of -selectforeground so
in the absense of somebody who is better versed in Tk, I'd be wary
of this change.  I, however, see that

    text some-widget \
    -background $bgcolor -foreground $fgcolor -selectbackground $selectbgcolor

is a recurring theme for other text widgets like $cflist and
$top.list, so if the change were only to add the missing
"-selectbackground $selectbgcolor" there, I would imagine it would
be a safe improvement (or adding the "-selectforeground $fgcolor" to
other text widgets that currently lack might turn out to be a sensible
change, too, but as I said, I do not speak Tcl/Tk).

>  gitk-git/gitk | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/gitk-git/gitk b/gitk-git/gitk
> index 23d9dd1fe0d0..d255654b02fd 100755
> --- a/gitk-git/gitk
> +++ b/gitk-git/gitk
> @@ -2412,6 +2412,7 @@ proc makewindow {} {
>      text $ctext -background $bgcolor -foreground $fgcolor \
>          -state disabled -undo 0 -font textfont \
>          -yscrollcommand scrolltext -wrap none \
> +        -selectbackground $selectbgcolor -selectforeground $fgcolor \
>          -xscrollcommand ".bleft.bottom.sbhorizontal set"
>      if {$have_tk85} {
>          $ctext conf -tabstyle wordprocessor
>
> base-commit: a65ce7f831aa5fcc596c6d23fcde543d98b39bd7